/* $Id: hawki_bkg.h,v 1.7 2010/03/08 13:59:16 cgarcia Exp $
 *
 * This file is part of the HAWKI Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: cgarcia $
 * $Date: 2010/03/08 13:59:16 $
 * $Revision: 1.7 $
 * $Name: hawki-1_8_0 $
 */

#ifndef HAWKI_BKG_H
#define HAWKI_BKG_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

int hawki_bkg_fill_assoc(cpl_frameset * objframes, cpl_propertylist * proplist);

int hawki_bkg_from_objects_median
(const cpl_frameset  *  objframes, cpl_imagelist * bkg);

int hawki_bkg_from_sky_median
(const cpl_frameset     *  skyframes, 
 cpl_imagelist    *  bkg);

int hawki_bkg_from_running_mean_detector
(cpl_imagelist       * objimages,
 const cpl_vector    * medians,
 int                   i_target,
 int                   half_width,
 int                   rejlow,
 int                   rejhigh,
 cpl_image           * bkg);

#endif
